Next Previous Up Contents
Next: Fluxes
Up: Functions
Previous: Coverage

#### 10.7.8 Distances

Functions for converting between different measures of cosmological distance.

The following parameters are used:

- z: redshift
- H0: Hubble constant in km/sec/Mpc (example value ~70)
- omegaM: Density ratio of the universe (example value 0.3)
- omegaLambda: Normalised cosmological constant (example value 0.7)

For a flat universe, `omegaM`+`omegaLambda`=1

The terms and formulae used here are taken from the paper by D.W.Hogg, Distance measures in cosmology, astro-ph/9905116 v4 (2000).

`MpcToM( distMpc )`
  Converts from MegaParsecs to metres.

  - Parameters:
    - `distMpc` (floating point): distance in Mpc
  - Return value
    - (floating point): distance in m
`mToMpc( distM )`
  Converts from metres to MegaParsecs.

  - Parameters:
    - `distM` (floating point): distance in m
  - Return value
    - (floating point): distance in Mpc
`zToDist( z )`
  Quick and dirty function for converting from redshift to distance.

  Warning: this makes some reasonable assumptions about the cosmology and returns the luminosity distance. It is only intended for approximate use. If you care about the details, use one of the more specific functions here.

  - Parameters:
    - `z` (floating point): redshift
  - Return value
    - (floating point): some distance measure in Mpc
`zToAge( z )`
  Quick and dirty function for converting from redshift to time.

  Warning: this makes some reasonable assumptions about the cosmology. It is only intended for approximate use. If you care about the details use one of the more specific functions here.

  - Parameters:
    - `z` (floating point): redshift
  - Return value
    - (floating point): 'age' of photons from redshift `z` in Gyr
`comovingDistanceL( z, H0, omegaM, omegaLambda )`
  Line-of-sight comoving distance.

  - Parameters:
    - `z` (floating point): redshift
    - `H0` (floating point): Hubble constant in km/sec/Mpc
    - `omegaM` (floating point): density ratio of the universe
    - `omegaLambda` (floating point): normalised cosmological constant
  - Return value
    - (floating point): line-of-sight comoving distance in Mpc
`comovingDistanceT( z, H0, omegaM, omegaLambda )`
  Transverse comoving distance.

  - Parameters:
    - `z` (floating point): redshift
    - `H0` (floating point): Hubble constant in km/sec/Mpc
    - `omegaM` (floating point): density ratio of the universe
    - `omegaLambda` (floating point): normalised cosmological constant
  - Return value
    - (floating point): transverse comoving distance in Mpc
`angularDiameterDistance( z, H0, omegaM, omegaLambda )`
  Angular diameter distance.

  - Parameters:
    - `z` (floating point): redshift
    - `H0` (floating point): Hubble constant in km/sec/Mpc
    - `omegaM` (floating point): density ratio of the universe
    - `omegaLambda` (floating point): normalised cosmological constant
  - Return value
    - (floating point): angular diameter distance in Mpc
`luminosityDistance( z, H0, omegaM, omegaLambda )`
  Luminosity distance.

  - Parameters:
    - `z` (floating point): redshift
    - `H0` (floating point): Hubble constant in km/sec/Mpc
    - `omegaM` (floating point): density ratio of the universe
    - `omegaLambda` (floating point): normalised cosmological constant
  - Return value
    - (floating point): luminosity distance in Mpc
`lookbackTime( z, H0, omegaM, omegaLambda )`
  Lookback time. This returns the difference between the age of the universe at time of observation (now) and the age of the universe at the time when photons of redshift `z` were emitted.

  - Parameters:
    - `z` (floating point): redshift
    - `H0` (floating point): Hubble constant in km/sec/Mpc
    - `omegaM` (floating point): density ratio of the universe
    - `omegaLambda` (floating point): normalised cosmological constant
  - Return value
    - (floating point): lookback time in Gyr
`comovingVolume( z, H0, omegaM, omegaLambda )`
  Comoving volume. This returns the all-sky total comoving volume out to a given redshift `z`.

  - Parameters:
    - `z` (floating point): redshift
    - `H0` (floating point): Hubble constant in km/sec/Mpc
    - `omegaM` (floating point): density ratio of the universe
    - `omegaLambda` (floating point): normalised cosmological constant
  - Return value
    - (floating point): comoving volume in Gpc3
`SPEED_OF_LIGHT`
  Speed of light in m/s.

`METRE_PER_PARSEC`
  Number of metres in a parsec.

`SEC_PER_YEAR`
  Number of seconds in a year.

Next Previous Up Contents
Next: Fluxes
Up: Functions
Previous: Coverage

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk